# Class MathNAryProperties

#### Hierarchy

- XmlComponent
  - MathNAryProperties

- Defined in file/paragraph/math/n-ary/math-n-ary-properties.ts:9

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new MathNAryProperties(accent, hasSuperScript, hasSubScript): MathNAryProperties

- #### Parameters

  - ##### accent: string

  - ##### hasSuperScript: boolean

  - ##### hasSubScript: boolean

  #### Returns MathNAryProperties

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/math/n-ary/math-n-ary-properties.ts:10

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc